Skip to main content
GET
/
purchases
/
{purchase_id}
(DEPRECATED) Get a specific purchase of an account
curl --request GET \
  --url https://api.togai.com/purchases/{purchase_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/purchases/{purchase_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/purchases/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "purchase.20txx14r0m8.VKxaB",
  "accountId": "c102",
  "pricePlanId": "pp.20txw0FrqjQ.byM8V",
  "pricePlanVersion": 1,
  "createdAt": "2023-07-31T15:49:25.007848Z",
  "type": "ENTITLEMENT_GRANT",
  "status": "SUCCESS",
  "purchasePlan": {
    "billingEntitlementRateCards": [
      {
        "featureId": "feature.20txvOAhiIS.m3X3d",
        "featureConfigs": [
          {
            "effectiveUntil": "P20D",
            "featureCreditLimit": 100,
            "effectiveFrom": "PT0S"
          }
        ],
        "invoiceTiming": "IN_ADVANCE",
        "ratePlan": {
          "pricingModel": "TIERED",
          "slabs": [
            {
              "order": 1,
              "startAfter": 0,
              "priceType": "PER_UNIT",
              "slabConfig": {}
            }
          ]
        },
        "rateValues": [
          {
            "currency": "USD",
            "slabRates": [
              {
                "order": 1,
                "rate": 1
              }
            ]
          }
        ],
        "displayName": "feature1"
      }
    ],
    "supportedCurrencies": [
      "USD"
    ],
    "activeCurrencies": [
      "USD"
    ]
  },
  "features": [
    {
      "id": "feature.20txvOAhiIS.m3X3d",
      "name": "feature1",
      "creditsGranted": 120,
      "creditsAvailable": 120,
      "updatedAt": "2023-07-31T15:47:52.570011Z",
      "effectiveFrom": "2023-07-31T15:51:34.308371Z",
      "effectiveUntil": "2023-08-20T15:51:34.308371Z"
    }
  ],
  "rateCardQuantities": {
    "feature.20txvOAhiIS.m3X3d": 1.2
  },
  "updatedAt": "2023-07-31T15:51:35.093598Z",
  "price": 120,
  "invoiceId": "inv.20txx3jeQU4.nlMQh",
  "invoiceCurrency": "USD"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

purchase_id
string
required
Maximum string length: 50
Example:

"purchase.1zYnCiM9Bpg.lv25y"

Response

Response for getting a specific purchase detail of an account

Represents a Purchase

id
string
required
accountId
string
required
Minimum string length: 1
createdAt
string<date-time>
required
status
enum<string>
required

Status of the purchase

Available options:
SUCCESS,
FAILURE,
PENDING,
IN_PROGRESS,
PROPOSAL_ACTIVE,
PROPOSAL_APPROVED,
PROPOSAL_DECLINED,
PROPOSAL_EXPIRED
type
enum<string>
required

Specifies whether this purchase is for granting entitlements or for an association or for wallet topup or prepaid purchase. If left null, ENTITLEMENT_GRANT is taken as default

Available options:
ENTITLEMENT_GRANT,
ASSOCIATION,
WALLET_TOPUP,
PREPAID
pricePlanId
string

Id of the price plan, Required for ENTITLEMENT_GRANT, ASSOCIATION purchase

Minimum string length: 1
quantity
integer<int32>
rateCardQuantities
object
idempotencyKey
string
pricePlanVersion
integer<int32>
purchasePlanOverride
object
associationOverride
object
walletTopupDetails
object

Information related to wallet topup purchase

updatedAt
string<date-time>
effectiveFrom
string<date>
effectiveUntil
string<date>
expiryDate
string<date-time>
price
number
invoiceId
string
invoiceCurrency
string
comment
string
purchasePlan
object
features
PurchaseFeatureDetails ยท object[]